<!-- 媒体列表 -->
<template>
    <div>

        <el-form label-width="120px" class="demo-ruleForm" v-for="ele in categories" :key="ele">
            {{ele.name}}
            <el-form-item label="原价">
                <div>
                    <el-input class="w300" :placeholder="getOrgPrice(data['categories_price_'+ele.id])" auto-complete="off" v-model="original_price[ele.id]"></el-input>
                </div>
            </el-form-item>
            <el-form-item label="卖价">
                <div>
                    <el-input class="w300":placeholder="getCostPrice(data['categories_price_'+ele.id])"  auto-complete="off" v-model="cost_price[ele.id]"></el-input>
                </div>
            </el-form-item>

<!--            <el-form-item>-->
<!--                <el-checkbox v-model="categoriesSelected" :value="ele.id" :label="ele.id" >-->
<!--                    {{ele.name}}-->
<!--                </el-checkbox>-->
<!--            </el-form-item>-->

            <el-form-item>
                <el-button type="primary" @click="m_edit(ele.id)">更新</el-button>
            </el-form-item>
        </el-form>
        <el-button type="primary" @click="update_products">保存更新</el-button>

    </div>
</template>

<script>
    import medium_edit from './markup_edit'

    export default {
        name: 'markup',
        components: {markupedit: medium_edit},
        data() {
            return {
                e_id: '',
                original_price: [],
                cost_price: [],
                categories: [],
                categoriesSelected: [],
                data: []
            };
        },
        mounted() {
            this.getDatalist();
            this.getCategoriesNames();
        },
        methods: {
            getOrgPrice(obj){
                return obj && obj.original_price ? obj.original_price : 0;
            },
            getCostPrice(obj){
                return obj && obj.cost_price ? obj.cost_price : 0;
            },
            update_products() {
                let data = {};
                this.m_success('Please wait this might took some time...!');
                this.m_api.markup_update_prices(data).then(res => {
                    this.m_success('Price updated...!')
                });
            },
            getCategoriesNames() {
                let data = [];
                let that = this;
                this.m_api.mall_info(data).then(res => {
                    that.categories = res.data.navigation;
                });
            },
            fixJson(json) {
                let obj = json.map(function (k, v) {
                    return parseInt(k);
                });
                return obj;
            },
            getDatalist() {
                let data = [];
                let that = this;
                this.m_api.markup(data).then(res => {
                    that.data = res.data;
                    console.log(typeof res.data);
                    console.log(res.data);
                    Object.keys(res.data).map(function(key, index) {
                        console.log(res.data[key]);;
                        that.cost_price[res.data[key].category_id] = res.data[key].cost_price;
                        that.original_price[res.data[key].category_id] = res.data[key].original_price;
                    });
                });
            },
            m_edit(categoriesSelected) {
                console.log(this.original_price);
                console.log(this.original_price[categoriesSelected]);
                console.log(this.cost_price[categoriesSelected]);
                let data = {
                    "original_price": this.original_price[categoriesSelected],
                    "cost_price": this.cost_price[categoriesSelected],
                    "categories_selected": categoriesSelected
                };
                this.m_api.markup_update(data).then(res => {
                    this.m_success('Price updated...!');
                })
            },
        },
    }
</script>
<style lang='scss' scoped>
    .tip {
        font-size: 19px;
        margin-bottom: 30px;
    }
</style>